﻿@model EsignatureViewModel

@{
    Layout = null;
}

<form novalidate ng-submit="SaveDocument()">

    <div class="view-container">
        <div class="title-bar">
            <div class="back">
                <a class="action"onclick="window.history.back()">
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>

            <div class="title">
                <h1>
                    {{Model.PageTitle}}
                </h1>
            </div>

            <div class="clearfix"></div>
            <hr />
        </div>
        <label class="req-star">Select member to sign the document</label>

        <div class="input-control select"  data-role="input-control" @Html.AngValidationClass("SelectedMember")>
            <div  @Html.AngTooltipValidation("SelectedMember")>
                <select chosen ng-model="Model.SelectedMember" name="Provider" data-placeholder="Select member"
                        ng-options="obj.Value as obj.Text for obj in Model.PartnerMembers"></select>
            </div>
        </div>

        <div class="clearfix"></div>
        <label class="req-star" style="cursor:default">Upload document</label>
        <div class="k-content" style="margin-bottom:20px">
            <div class="box-col">
                <input  name="uploadedList"
                       type="file"
                       value="dddd"
                       kendo-upload
                       k-multiple="false"
                       k-upload="onUpload"
                       k-success="OnUploaderSuccess"
                       k-async="{ saveUrl: '@Url.Action("UploadedDocument", "ESignature")', removeUrl: '@Url.Action("DeleteUploadedDocument", "ESignature")', autoUpload: true }" />
            </div>
        </div>

        <div class="clearfix"></div>
        <div>
            <label class="req-star">Message subject</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Subject)>
                <input class="k-textbox" ng-model="@Html.Ang(m => m.Subject)" @Html.AngTooltipValidationFor(model => model.Subject) />
            </div>
        </div>
        <div class="clearfix"></div>
        <div style="padding-right: 10px;">
            <div class="one-half place-left">
                <div class="input-control textarea">
                    <label>
                        Message content
                        <textarea ng-model="Model.Content"></textarea>
                    </label>
                </div>
            </div>
            
        </div>
        <div class="clearfix"></div>
            <label style="cursor:default">Deadline</label>
                <div class="input-control half-size place-left" data-role="input-control">
                    <input kendo-date-picker type="text" ng-model="@Html.Ang(m => m.DeadLine)"/>
                </div>
        <div class="clearfix"></div>
        <hr />
        <button type="submit" class="success large place-right">Submit</button>
        <button type="submit" class="link large place-left" ui-sref="ESignature">Cancel</button>

        <div class="clearfix"></div>
    </div>

</form>
